#3385 reopened defect

Use coveralls.io

Reported by: sajith Owned by: sajith
Priority: normal Milestone: undecided
Component: dev-infrastructure Version: n/a
Keywords: Cc:
Launchpad Bug:

Description (last modified by sajith)

#3384 will update coverage dependency, which will allow us to give coveralls.io a spin.

Python coverall package requires that coverage reports should be in coverage 5.0 format. Perhaps coveralls.io might work better for us than codecov.io, which we currently use.

See #3384 for some notes on why we might want to use coveralls.io.

Change History (10)

comment:1 Changed at 2020-08-19T15:33:27Z by sajith

  • Owner set to sajith

comment:2 Changed at 2020-08-19T15:35:11Z by sajith

  • Status changed from new to assigned

comment:3 Changed at 2020-08-19T15:39:29Z by sajith

  • Description modified (diff)

comment:4 Changed at 2020-08-19T15:40:15Z by sajith

  • Description modified (diff)

comment:5 Changed at 2020-08-19T15:41:53Z by sajith

  • Description modified (diff)

comment:6 Changed at 2020-08-19T15:42:21Z by sajith

  • Description modified (diff)

comment:7 Changed at 2020-08-19T15:43:06Z by sajith

  • Description modified (diff)

comment:8 Changed at 2020-12-29T17:52:24Z by exarkun

  • Resolution set to duplicate
  • Status changed from assigned to closed

comment:9 Changed at 2021-01-05T20:56:17Z by exarkun

  • Resolution duplicate deleted
  • Status changed from closed to reopened

I read that other ticket backwards. This wasn't a duplicate at all.

comment:10 Changed at 2021-01-05T21:03:13Z by exarkun

Background: coveralls does not readily support collecting coverage information from more than one CI provider.

After discussion between many of the currently active developers we decided that collecting coverage on Windows and macOS and *not* Linux is the most useful configuration we can get out of coveralls. We also decided this is better than the current state of affairs based on codecov. Supposedly codecov can collect coverage from multiple providers but in reality it often generates reports no one can make any sense of.

Therefore, we'll turn off codecov and turn on Coveralls for Windows and macOS on GitHub? Actions.

We might even consider adding one Linux job to GitHub? Actions at some point to get at least some Linux coverage in the reports.

Note: See TracTickets for help on using tickets.